Docs
Get Crew Types
GET /crew/types
GET
/crew/typesLists the event's crew types in display order, including archived ones (check isArchived), for the crew type picker. Use Crew_GetCrewType for a type's sections and attributes. Requires EventAdmin.
Response
Type: GetCrewTypeSummaryResponse[]
GetCrewTypeSummaryResponse
| Field | Type | Description |
|---|---|---|
| id | uuid | |
| orgCorrelationId | uuid| null | |
| name | string| null | |
| icon | string| null | |
| color | string| null | |
| isArchived | boolean | |
| index | integer |